# Generate a fact-find snapshot PDF **POST /api/v2/fact-find/templates/{factFindTemplate_uuid}/generate-pdf** Generates a PDF snapshot for the given template and clients. Supports individual snapshots per client and combined circle snapshots. ## Servers - https://api.plannrcrm.com: https://api.plannrcrm.com () ## Authentication methods - Personal access token & O auth2 ## Parameters ### Headers - **X-PLANNR-ACCOUNT-UUID** (string) ### Path parameters - **factFindTemplate_uuid** (string) ### Body: application/json (object) - **client_uuids** (string(uuid)) An array of client UUIDs to generate snapshots for. - **circle_uuid** (string(uuid)) The UUID of the circle (optional, for combined view). - **is_combined_view** () Whether to generate a single combined PDF for all clients. ## Responses ### 401 #### Body: application/json (object) - **message** (string) [Powered by Bump.sh](https://bump.sh)